﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" Title="ComboBox" AutoEventWireup="true" CodeBehind="ComboBoxFeatures.aspx.cs" Inherits="SyncfusionASPNETApplication2.ComboBoxFeatures" %>
<%@ Register Assembly="Syncfusion.EJ.Web" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
<div class="container-fluid">
  <ej:ComboBox ID="cmbEmployerLocation" runat="server" Width="300px" DataTextField="ContactName" DataValueField="SupplierID" Placeholder="Select a state">
    <DataManager URL="https://js.syncfusion.com/ejServices/wcf/NorthWind.svc/" CrossDomain="true"></DataManager>
  </ej:ComboBox>
    <br />
<ej:Button runat="server" Type="Button" Text="Change Query" ClientSideOnClick="QueryChange"></ej:Button>
    
    <script>

        function QueryChange(args)
        {
             var employerLocationObj = $('#<%= cmbEmployerLocation.ClientID %>').data("ejComboBox");
            employerLocationObj.setModel({
                query: ej.Query().from('Suppliers').select('SupplierID', 'ContactName').take(10),
                actionComplete: function (arg) {
                            if (arg.result.length > 0) {
                                preValue = arg.result[0].SupplierID;
                                listObj1 = $('#<%=cmbEmployerLocation.ClientID%>').ejComboBox("instance");
                                this.setModel({ value: preValue });
                            }
                            
		                } 
            });

        }

          
    </script>
    </div>
 </asp:Content>
